POST Search Stores
POST /sites/{site_id}/store_search
Operation ID: Search Stores. Tags: sites. Security: oauth2_application.
Searches for stores.
The query attribute specifies a complex query that can be used to narrow down the search. This is the list of searchable attributes:
-
address1 - String
-
address2 - String
-
city - String
-
country_code - String
-
email - String
-
fax - String
-
id - String
-
inventory_id - String
-
latitude - double
-
longitude - double
-
name - String
-
phone - String
-
postal_code - String
-
state_code - String
-
store_hours - String
-
store_events - String
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The site context.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:store_search_result.